Bug 498464 - F11 Preview LiveCD install to hard disk wants to format an existing ext3 partition
F11 Preview LiveCD install to hard disk wants to format an existing ext3 part...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 11:48 EDT by J Gallagher
Modified: 2009-09-03 17:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 17:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J Gallagher 2009-04-30 11:48:40 EDT
Description of problem:

When I run the anaconda installer on F11 Preview LiveCD, I select a custom layout, /boot and / partitiona in ~8GB free space in the extended partition, but then the installer tells me it will format /dev/sda7 which is recognised as type 'none', although it is a ~48GB ext3 data partition.


Version-Release number of selected component (if applicable):

F11 Preview LiveCD

How reproducible:

Boot up LiveCd, select 'Install to Hardisk', and select Custom Layout, create ext3 /boot and ext4 / partittion in freespace, then continue.


Steps to Reproduce:

(above)
  
Actual results:

Installer says it will format an existing partition whic was not selected in the custom layout. Also, it recognises the partition type as 'none' when fdisk, parted show it as ext3


Expected results:

Install on the selected partitons in the free space, leave all other partitions alone

Additional info:

Here's the disk layout, I'm trying to install in the ~8gb free space between sda8 and sda9. The installer doesn't recognise partition type (ext3) of sda7 and says it will be formatted and all data lost)

$ sudo fdisk -l

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x58000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1          24      192748+  de  Dell Utility
/dev/sda2              25        1330    10485760    7  HPFS/NTFS
Partition 2 does not end on cylinder boundary.
/dev/sda3   *        1330       16656   123104256    7  HPFS/NTFS
Partition 3 does not end on cylinder boundary.
/dev/sda4           16656       30402   110413824    f  W95 Ext'd (LBA)
Partition 4 does not end on cylinder boundary.
/dev/sda5           16657       18185    12281692+  83  Linux
/dev/sda6           18186       22009    30716248+   7  HPFS/NTFS
/dev/sda7           22010       27851    46925833+  83  Linux
/dev/sda8           27852       28112     2096451   82  Linux swap / Solaris
/dev/sda9           29165       30401     9936171   8e  Linux LVM

$ sudo parted -l
Model: ATA FUJITSU MHY2250B (scsi)
Disk /dev/sda: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type      File system  Flags
 1      32.3kB  197MB   197MB   primary   fat16             
 2      198MB   10.9GB  10.7GB  primary   ntfs              
 3      10.9GB  137GB   126GB   primary   ntfs         boot 
 4      137GB   250GB   113GB   extended               lba  
 5      137GB   150GB   12.6GB  logical   ext3              
 6      150GB   181GB   31.5GB  logical   ntfs              
 7      181GB   229GB   48.1GB  logical   ext3              
 8      229GB   231GB   2147MB  logical   linux-swap        
 9      240GB   250GB   10.2GB  logical                lvm
Comment 1 J Gallagher 2009-05-04 16:11:47 EDT
Just to update that the F11 DVD Preview installs without any issues, so the problem is restriced to the LiveCD installer
Comment 2 David Lehman 2009-05-07 11:26:36 EDT
Please attach the files /tmp/storage.log, /tmp/program.log, and /tmp/anaconda.log taken from the system after exhibiting the failure with the livecd installer.
Comment 3 J Gallagher 2009-05-07 20:37:22 EDT
too late, in the week since I posted the bugzilla I have now installed from the DVD (in the same partition as originally attempted), which went smoothly as reported in comment #1.

so looks like the livecd installer is lacking something that the DVD installer has, which is surprising, I would have thought that part of the anaconda code would be indentical in both installers.

sorry if that's not helpful, but I did wait several days for a reply, thinking you'd have some urgency in this release month.
Comment 4 Bug Zapper 2009-06-09 10:53:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.